Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Data Services Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.oracle_server

### , oracle_server

- resource type implementation for HA Oracle server

## Description

The `SUNW.oracle_server` resource type represents the HA Oracle server in an Oracle Solaris Cluster configuration. The HA Oracle server resource is configured with an Oracle listener resource. For more information, see Oracle Solaris Cluster Data Service for Oracle Guide.

You must set the following properties for an Oracle server resource by using `clresource`(1CL).

### Standard Properties

The standard resource property `Failover` is set for all failover resource types.

See `r_properties`(5) for a complete description of the following resource properties.

`Failover_mode`

  Default: `SOFT`

  Tunable: `Any time`

`Retry_count`

  Minimum: `-1`

  Maximum: `9999`

  Default: `2`

  Tunable: `Any time`

`Retry_interval`

  Minimum: `0`

  Maximum: `2592000`

  Default: `1330`

  Tunable: `Any time`

`Thorough_probe_interval`

  Minimum: `1`

  Maximum: `2592000`

  Default: `30`

  Tunable: `Any time`

### Extension Properties

`Alert_log_file`

  Type string. This property is set to the absolute path of the Oracle alert log file. The Oracle software logs alerts in this file. The Oracle server fault monitor scans the alert log file for new alerts at the following times:

  - When the server fault monitor is started

  - Each time that the server fault monitor queries the health of the server

  If an action is defined for a logged alert that the server fault monitor detects, the server fault monitor performs the action in response to the alert.

  Preset actions for logged alerts are listed in Appendix B, Preset Actions for DBMS Errors and Logged Alerts, in Oracle Solaris Cluster Data Service for Oracle Guide. To change the action that the server fault monitor performs, customize the server fault monitor as explained in Customizing the HA for Oracle Server Fault Monitor in Oracle Solaris Cluster Data Service for Oracle Guide.

  You can modify this parameter any time.

  When the `Db_unique_name` extension property is used, the `Alert_log_file` extension property is ignored and can be omitted from the HA-Oracle configuration.

`Auto_end_bkp`

  Type Boolean. Default is `FALSE`. This property instructs the `oracle_server START` method to automatically recover the database during startup if the database had previously been interrupted during a hot backup.

  If this property is set to `TRUE`, and the `oracle_server START` method detects the RDBMS error `ORA-01113 file %s needs media recovery` during startup, all files left in hot backup mode (as indicated by the `sys.v$backup` view). These files are automatically taken out of hot backup mode by using the command:

      alter database datafile `filename` end backup;

  The database is then opened for use.

  If this property is set to `FALSE`, the `oracle_server START` method takes no recovery action following an `ORA-01113` error, and the status of the resource is set to `FAULTED`. Manual intervention is required at this stage.

  This property can be modified at any time.

`Connect_cycle`

  Type integer. Default is 5. The Maximum value is 99999. The Oracle server fault monitor connects to the database periodically by using the user ID and password specified in `Connect_string`. The monitor disconnects after executing the number of probes specified in this property and then reconnects. You can modify this property at any time.

`Connect_string`

  Type string. This property is set to the user ID and password of the database user in fault-monitor transactions. This property is specified as follows:

      userid/password

  As part of the HA Oracle setup, you must define the database user ID and password before enabling the server resource and its fault monitor. To use Solaris authentication, type a slash (`/`) instead of a user ID and password. This property must be set for standby databases as well. This property is used by the fault monitor after the physical standby database is transitioned to a primary database. You can modify this property at any time.

  When the `Db_unique_name` extension property is used, the `Connect_string` extension property is ignored and can be omitted from the HA-Oracle configuration.

`Custom_action_file`

  Type string. Default is `NULL`. This property specifies the absolute path of the file that defines the custom behavior of the Oracle Solaris Cluster HA for Oracle server fault monitor. The format of this file is defined in the `custom_action_file`(4) man page. You can modify this property at any time.

`Dataguard_role`

  Type string. Default is `NULL`. This property specifies the role of the database. The permitted values for this property are as follows:

  `NONE`

    Specifies that no standby database instances are configured for the primary database instance.

  `PRIMARY`

    Specifies that the database is a primary database instance for which standby database instances are configured.

  `STANDBY`

    Specifies that the database role is standby. This value is used by Oracle Solaris Cluster HA for Oracle data service along with the `Standby_mode` property value to determine the role of the database.

  `IN_TRANSITION`

    Specifies that the database is undergoing a role reversal process. This value must be set, when a role reversal process is to be applied to the database. The `Dataguard_role` and `Standby_mode` properties must be set after the role reversal process is complete to reflect the correct role of the database.

  You can modify this property at any time.

`Db_unique_name`

  Type string. This property is required when a single-instance HA for Oracle data service is deployed using Oracle 11g release 2 Grid Infrastructure for Clusters. The `db_unique_name` extension property specifies the unique name of the single-instance database that is being deployed.

  When the `db_unique_name` extension property is used, the following extension properties are ignored and can be omitted from the HA-Oracle configuration:

  - `Alert_log_file`

  - `Connect_string`

  You can modify this property at any time.

`Debug_level`

  Type integer. Default is 1. Maximum value is 100. This property indicates the level to which debug messages from the fault monitor of the Oracle server component are logged. When the debug level is increased, more debug messages are written to the log files. These messages are logged to the file `/var/opt/SUNWscor/oracle_server/message_log.`rs, where rs is the name of the resource that represents the Oracle server component. You can modify this property at any time.

`Oracle_Home`

  Type string. This property is set to the Oracle parent directory that contains the binaries, logs, and parameter files. You can modify this property only when the resource is disabled.

`Oracle_Sid`

  Type string. This property is set to the name of the Oracle database instance (also called the Oracle system identifier). You can modify this property only when the resource is disabled.

`Parameter_file`

  Type string. This property is set to the Oracle parameter file, which starts the database. If this property is not set, it defaults to `$ORACLE_HOME/dbs/init$ORACLE_SID.ora`. If the default value is not found, Oracle Solaris Cluster HA for Oracle checks for `$ORACLE_HOME/dbs/spfile$ORACLE_SID.ora`. You can modify this property at any time.

`Probe_timeout`

  Type integer. Default is 300 seconds. Maximum value is 99999. This property is the timeout value (in seconds) that is used by the fault monitor to probe an Oracle server instance. You can modify this property at any time.

`Restart_type`

  Type enumeration. Default is `RESOURCE_RESTART`. This property specifies the entity that the server fault monitor restarts when the response to a fault is restart. The permitted values for this property are as follows:

  `RESOURCE_RESTART`

    Specifies that only this resource is restarted.

  `RESOURCE_GROUP_RESTART`

    Specifies that all resources in the resource group that contains this resource are restarted.

  You can modify this property at any time.

`Standby_mode`

  Type string. Default is `LOGICAL`. This property specifies the mode of the standby database. This property is used by Oracle Solaris Cluster HA for Oracle data service only when the `Dataguard_role` property is set to `STANDBY` to determine the type of standby database. The permitted values for this property are as follows:

  `LOGICAL`

    Specifies a logical standby database.

  `PHYSICAL`

    Specifies a physical standby database.

  `SNAPSHOT`

    Beginning with Oracle 11g, specifies a snapshot standby database.

  You can modify this property at any time.

`User_env`

  Type string. Default is `NULL`. This property is set to the name of the file that contains the environment variables to be set before database startup or shutdown. You can modify this property at any time.

`Wait_for_online`

  Type Boolean. Default is `TRUE`. This property specifies whether the `oracle_server START` method waits for the database to be online before exiting. If this property is set to `FALSE`, `oracle_server START` executes the commands to start the database but does not wait for it to come online before exiting. You can modify this property at any time.

## Examples

Example 1 Creating a Failover `oracle_server` Resource

For this example to work, the data service must first be installed.

The following example creates a failover `oracle_server` resource named `ora_server` in an existing resource group named `oracle-rg`. `oracle-rg` is assumed to contain a `LogicalHostname` resource, which identifies the logical hostname associated with the resource group, and an `oracle_listener` resource, which identifies the Oracle listener associated with the resource group.

    example# clresourcetype register SUNW.oracle_server
    example# clresource create –g oracle-rg \
    –t SUNW.oracle_server -p CONNECT_STRING=scott/tiger \
    –p ORACLE_SID=oraSID –p ORACLE_HOME=/oracle \
    –p ALERT_LOG_FILE=/oracle/admin/oraSID/bdump/alert_oraSID.log ora_server

In this example, the Oracle server resource created is named `ora_server`, which has its `ORACLE_HOME` under `/oracle`. The SID of the is `ora_server` is `oraSID`. Its fault monitor uses the user ID `scott` and the password `tiger` to connect to the database. The alert log file scanned by the fault monitor for any errors that have occurred is at `/oracle/admin/oraSID/bdump/alert_oraSID.log`.

## See Also

`pmfadm`(1M), `scha_resource_get`(1HA), `clresourcetype`(1CL), `clresource`(1CL), `custom_action_file`(4), `SUNW.oracle_listener`(5)

Oracle Solaris Cluster Data Services Planning and Administration Guide, Oracle Solaris Cluster Data Service for Oracle Guide

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |